
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.17.1: http://docutils.sourceforge.net/" />

    <title>Upgrading to Varnish 5.2 &#8212; Varnish version 6.0.11 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="../_static/classic.css" />
    
    <script data-url_root="../" id="documentation_options" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Changes in Varnish 5.1" href="changes-5.1.html" />
    <link rel="prev" title="Changes in Varnish 5.2" href="changes-5.2.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="changes-5.1.html" title="Changes in Varnish 5.1"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="changes-5.2.html" title="Changes in Varnish 5.2"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" accesskey="U">What’s new / Upgrading</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Upgrading to Varnish 5.2</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="upgrading-to-varnish-5-2">
<span id="whatsnew-upgrading-5-2"></span><h1>Upgrading to Varnish 5.2<a class="headerlink" href="#upgrading-to-varnish-5-2" title="Permalink to this headline">¶</a></h1>
<section id="varnish-statistics-and-logging">
<h2>Varnish statistics and logging<a class="headerlink" href="#varnish-statistics-and-logging" title="Permalink to this headline">¶</a></h2>
<p>There are extensive changes under the hood with respect to statistics
counters, but these should all be transparent at the user-level.</p>
</section>
<section id="varnishd-parameters">
<h2>varnishd parameters<a class="headerlink" href="#varnishd-parameters" title="Permalink to this headline">¶</a></h2>
<p>The <a class="reference internal" href="../reference/varnishd.html#ref-param-vsm-space"><span class="std std-ref">vsm_space</span></a> and <code class="docutils literal notranslate"><span class="pre">cli_buffer</span></code>
parameters are now deprecated and ignored.  They will be removed
in a future major release.</p>
<p>The updated shared memory implementation manages space automatically, so
it no longer needs <a class="reference internal" href="../reference/varnishd.html#ref-param-vsm-space"><span class="std std-ref">vsm_space</span></a>. Memory for the CLI
command buffer is now dynamically allocated.</p>
<p>We have updated the documentation for <a class="reference internal" href="../reference/varnishd.html#ref-param-send-timeout"><span class="std std-ref">send_timeout</span></a>,
<a class="reference internal" href="../reference/varnishd.html#ref-param-idle-send-timeout"><span class="std std-ref">idle_send_timeout</span></a>, <a class="reference internal" href="../reference/varnishd.html#ref-param-timeout-idle"><span class="std std-ref">timeout_idle</span></a> and
<a class="reference internal" href="../reference/varnishd.html#ref-param-ban-cutoff"><span class="std std-ref">ban_cutoff</span></a>.</p>
<p>Added the debug bit <code class="docutils literal notranslate"><span class="pre">vmod_so_keep</span></code>, see <a class="reference internal" href="../reference/varnishd.html#ref-param-debug"><span class="std std-ref">debug</span></a> and
the notes about changes for developers below.</p>
</section>
<section id="changes-to-vcl">
<h2>Changes to VCL<a class="headerlink" href="#changes-to-vcl" title="Permalink to this headline">¶</a></h2>
<p>We have added a few new variables and clarified some matters. VCL
written for Varnish 5.1 should run without changes on 5.2.</p>
<section id="consistent-symbol-names">
<h3>Consistent symbol names<a class="headerlink" href="#consistent-symbol-names" title="Permalink to this headline">¶</a></h3>
<p>VCL symbols originate from various parts of Varnish: there are built-in
variables, subroutines, functions, and the free-form headers. Symbols
may live in a namespace denoted by the <code class="docutils literal notranslate"><span class="pre">'.'</span></code> (dot) character as in
<code class="docutils literal notranslate"><span class="pre">req.http.Cache-Control</span></code>. When you create a VCL label, a new symbol
becomes available, named after the label. Storage backends always have
a name, even if you don’t specify one, and they can also be accessed in
VCL: for example <code class="docutils literal notranslate"><span class="pre">storage.Transient</span></code>.</p>
<p>Because headers and VCL names could contain dashes, while subroutines or
VMOD objects couldn’t, this created an inconsistency. All symbols follow
the same rules now and must follow the same (case-insensitive) pattern:
<code class="docutils literal notranslate"><span class="pre">[a-z][a-z0-9_-]*</span></code>.</p>
<p>You can now write code like:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">sub</span> <span class="n">my</span><span class="o">-</span><span class="n">sub</span> <span class="p">{</span>
    <span class="n">new</span> <span class="n">my</span><span class="o">-</span><span class="n">obj</span> <span class="o">=</span> <span class="n">my_vmod</span><span class="o">.</span><span class="n">my_constuctor</span><span class="p">(</span><span class="n">storage</span><span class="o">.</span><span class="n">my</span><span class="o">-</span><span class="n">store</span><span class="p">);</span>
<span class="p">}</span>

<span class="n">sub</span> <span class="n">vcl_init</span> <span class="p">{</span>
    <span class="n">call</span> <span class="n">my</span><span class="o">-</span><span class="n">sub</span><span class="p">;</span>
<span class="p">}</span>
</pre></div>
</div>
<p>As you may notice in the example above, it is not possible yet to have
dashes in a vmod symbol.</p>
<p>Long storage backend names used to be truncated due to a limitation in
the VSC subsystem, this is no longer the case.</p>
</section>
<section id="vcl-variables">
<h3>VCL variables<a class="headerlink" href="#vcl-variables" title="Permalink to this headline">¶</a></h3>
<section id="req-hash-and-bereq-hash">
<h4><code class="docutils literal notranslate"><span class="pre">req.hash</span></code> and <code class="docutils literal notranslate"><span class="pre">bereq.hash</span></code><a class="headerlink" href="#req-hash-and-bereq-hash" title="Permalink to this headline">¶</a></h4>
<p>Added <code class="docutils literal notranslate"><span class="pre">req.hash</span></code> and <code class="docutils literal notranslate"><span class="pre">bereq.hash</span></code>, which contain the hash value
computed by Varnish for cache lookup in the current transaction, to
be used in client or backend context, respectively. Their data type
is BLOB, and they contain the raw binary hash.</p>
<p>You can use <a class="reference internal" href="../reference/vmod_generated.html#vmod-blob-3"><span class="std std-ref">vmod_blob</span></a> to work with the hashes:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">blob</span><span class="p">;</span>

<span class="n">sub</span> <span class="n">vcl_backend_fetch</span> <span class="p">{</span>
    <span class="c1"># Send the transaction hash to the backend as a hex string</span>
    <span class="nb">set</span> <span class="n">bereq</span><span class="o">.</span><span class="n">http</span><span class="o">.</span><span class="n">Hash</span> <span class="o">=</span> <span class="n">blob</span><span class="o">.</span><span class="n">encode</span><span class="p">(</span><span class="n">HEX</span><span class="p">,</span> <span class="n">blob</span><span class="o">=</span><span class="n">bereq</span><span class="o">.</span><span class="n">hash</span><span class="p">);</span>
<span class="p">}</span>

<span class="n">sub</span> <span class="n">vcl_deliver</span> <span class="p">{</span>
    <span class="c1"># Send the hash in a response header as a base64 string</span>
    <span class="nb">set</span> <span class="n">resp</span><span class="o">.</span><span class="n">http</span><span class="o">.</span><span class="n">Hash</span> <span class="o">=</span> <span class="n">blob</span><span class="o">.</span><span class="n">encode</span><span class="p">(</span><span class="n">BASE64</span><span class="p">,</span> <span class="n">blob</span><span class="o">=</span><span class="n">req</span><span class="o">.</span><span class="n">hash</span><span class="p">);</span>
<span class="p">}</span>
</pre></div>
</div>
</section>
<section id="server-identity">
<h4><code class="docutils literal notranslate"><span class="pre">server.identity</span></code><a class="headerlink" href="#server-identity" title="Permalink to this headline">¶</a></h4>
<p>If the <code class="docutils literal notranslate"><span class="pre">-i</span></code> option is not set in the invocation of <code class="docutils literal notranslate"><span class="pre">varnishd</span></code>,
then <code class="docutils literal notranslate"><span class="pre">server.identity</span></code> is set to the host name (as returned by
<code class="docutils literal notranslate"><span class="pre">gethostname(3)</span></code>). Previously, <code class="docutils literal notranslate"><span class="pre">server.identity</span></code> defaulted to the
value of the <code class="docutils literal notranslate"><span class="pre">-n</span></code> option (or the default instance name if <code class="docutils literal notranslate"><span class="pre">-n</span></code> was
not set). See <a class="reference internal" href="../reference/varnishd.html#varnishd-1"><span class="std std-ref">varnishd</span></a>.</p>
</section>
<section id="bereq-is-bgfetch">
<h4><code class="docutils literal notranslate"><span class="pre">bereq.is_bgfetch</span></code><a class="headerlink" href="#bereq-is-bgfetch" title="Permalink to this headline">¶</a></h4>
<p>Added <code class="docutils literal notranslate"><span class="pre">bereq.is_bgfetch</span></code>, which is readable in backend contexts, and
is true if the fetch takes place in the background. That is, it is
true if Varnish found a response in the cache whose TTL was expired,
but was still in grace time. Varnish returns the stale cached response
to the client, and initiates the background fetch to refresh the cache
object.</p>
</section>
<section id="req-backend-hint">
<h4><code class="docutils literal notranslate"><span class="pre">req.backend_hint</span></code><a class="headerlink" href="#req-backend-hint" title="Permalink to this headline">¶</a></h4>
<p>We have clarified what happens to <code class="docutils literal notranslate"><span class="pre">req.backend_hint</span></code> on a client
restart – it gets reset to the default backend. So you might want to
make sure that the backend hint gets set the way you want in that
situation.</p>
</section>
</section>
<section id="vmod-std">
<h3>vmod_std<a class="headerlink" href="#vmod-std" title="Permalink to this headline">¶</a></h3>
<p>Added <a class="reference internal" href="../reference/vmod_generated.html#func-file-exists"><span class="std std-ref">BOOL file_exists(STRING path)</span></a>.</p>
</section>
<section id="new-vmods-in-the-standard-distribution">
<h3>New VMODs in the standard distribution<a class="headerlink" href="#new-vmods-in-the-standard-distribution" title="Permalink to this headline">¶</a></h3>
<p>See <a class="reference internal" href="../reference/vmod_generated.html#vmod-blob-3"><span class="std std-ref">vmod_blob</span></a>, <a class="reference internal" href="../reference/vmod_generated.html#vmod-purge-3"><span class="std std-ref">vmod_purge</span></a> and
<a class="reference internal" href="../reference/vmod_generated.html#vmod-vtc-3"><span class="std std-ref">vmod_vtc</span></a>. Read about them in <a class="reference internal" href="changes-5.2.html#whatsnew-new-vmods"><span class="std std-ref">New VMODs in the standard distribution</span></a>.</p>
</section>
<section id="bans">
<h3>Bans<a class="headerlink" href="#bans" title="Permalink to this headline">¶</a></h3>
<p>We have clarified the interpretation of a ban when a comparison in the
ban expression is attempted against an unset field, see
<a class="reference internal" href="../reference/vcl.html#vcl-7-ban"><span class="std std-ref">ban(STRING)</span></a> in <a class="reference internal" href="../reference/vcl.html#vcl-7"><span class="std std-ref">VCL</span></a>.</p>
</section>
</section>
<section id="other-changes">
<h2>Other changes<a class="headerlink" href="#other-changes" title="Permalink to this headline">¶</a></h2>
<ul>
<li><p><code class="docutils literal notranslate"><span class="pre">varnishd(1)</span></code>:</p>
<ul class="simple">
<li><p>The total size of the shared memory space for logs and counters
no longer needs to be configured explicitly and therefore the
second subargument to <code class="docutils literal notranslate"><span class="pre">-l</span></code> is now ignored.</p></li>
<li><p>The default value of <code class="docutils literal notranslate"><span class="pre">server.identity</span></code> when the <code class="docutils literal notranslate"><span class="pre">-i</span></code> option is
not set has been changed as noted above.</p></li>
<li><p>Also, <code class="docutils literal notranslate"><span class="pre">-i</span></code> no longer determines the <code class="docutils literal notranslate"><span class="pre">ident</span></code> field used by
<code class="docutils literal notranslate"><span class="pre">syslog(3)</span></code>; now Varnish is always identified by the string
<code class="docutils literal notranslate"><span class="pre">varnishd</span></code> in the syslog.</p></li>
<li><p>On a system that supports <code class="docutils literal notranslate"><span class="pre">setproctitle(3)</span></code>, the Varnish
management process will appear in the output of <code class="docutils literal notranslate"><span class="pre">ps(1)</span></code> as
<code class="docutils literal notranslate"><span class="pre">Varnish-Mgt</span></code>, and the child process as <code class="docutils literal notranslate"><span class="pre">Varnish-Child</span></code>. If
the <code class="docutils literal notranslate"><span class="pre">-i</span></code> option has been set, then these strings in the ps
output are followed by <code class="docutils literal notranslate"><span class="pre">-i</span></code> and the identity string set by the
option.</p></li>
<li><p>The <code class="docutils literal notranslate"><span class="pre">-f</span></code> option for a VCL source file now honors the
<code class="docutils literal notranslate"><span class="pre">vcl_path</span></code> parameter if a relative file name is used, see
<a class="reference internal" href="../reference/varnishd.html#varnishd-1"><span class="std std-ref">varnishd</span></a> and <a class="reference internal" href="../reference/varnishd.html#ref-param-vcl-path"><span class="std std-ref">vcl_path</span></a>.</p></li>
<li><p>The <code class="docutils literal notranslate"><span class="pre">-a</span></code> option can now take a name, for example <code class="docutils literal notranslate"><span class="pre">-a</span>
<span class="pre">admin=127.0.0.1:88</span></code> to identify an address used for
administrative requests but not regular client traffic. Otherwise,
a default name is selected for the listen address (<code class="docutils literal notranslate"><span class="pre">a0</span></code>, <code class="docutils literal notranslate"><span class="pre">a1</span></code>
and so forth). Endpoint names appear in the log output, as noted
below, and may become accessible in VCL in the future.</p></li>
</ul>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">varnishstat(1)</span></code>:</p>
<ul class="simple">
<li><p>In curses mode, the top two lines showing uptimes for the
management and child processes show the text <code class="docutils literal notranslate"><span class="pre">Not</span> <span class="pre">Running</span></code> if
one or both of the processes are down.</p></li>
<li><p>The interpretation of multiple <code class="docutils literal notranslate"><span class="pre">-f</span></code> options in the command line
has changed slightly, see <a class="reference internal" href="../reference/varnishstat.html#varnishstat-1"><span class="std std-ref">varnishstat</span></a>.</p></li>
<li><p>The <code class="docutils literal notranslate"><span class="pre">type</span></code> and <code class="docutils literal notranslate"><span class="pre">ident</span></code> fields have been removed from the XML
and JSON output formats, see <a class="reference internal" href="../reference/varnishstat.html#varnishstat-1"><span class="std std-ref">varnishstat</span></a>.</p></li>
<li><p>The <code class="docutils literal notranslate"><span class="pre">MAIN.s_req</span></code> statistic has been removed, as it was identical
to <code class="docutils literal notranslate"><span class="pre">MAIN.client_req</span></code>.</p></li>
<li><p>Added the counter <code class="docutils literal notranslate"><span class="pre">req_dropped</span></code>. Similar to <code class="docutils literal notranslate"><span class="pre">sess_dropped</span></code>,
this is the number of times an HTTP/2 stream was refused because
the internal queue is full. See <a class="reference internal" href="../reference/varnish-counters.html#varnish-counters-7"><span class="std std-ref">varnish-counters</span></a> and
<a class="reference internal" href="../reference/varnishd.html#ref-param-thread-queue-limit"><span class="std std-ref">thread_queue_limit</span></a>.</p></li>
</ul>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">varnishlog(1)</span></code>:</p>
<ul>
<li><p>The <code class="docutils literal notranslate"><span class="pre">Hit</span></code>, <code class="docutils literal notranslate"><span class="pre">HitMiss</span></code> and <code class="docutils literal notranslate"><span class="pre">HitPass</span></code> log records grew an
additional field with the remaining TTL of the object at the time
of the lookup.  While this should greatly help troubleshooting,
it might break tools relying on those records to get the VXID of
the object hit during lookup.</p>
<p>Instead of using <code class="docutils literal notranslate"><span class="pre">Hit</span></code>, such tools should now use <code class="docutils literal notranslate"><span class="pre">Hit[1]</span></code>,
and the same applies to <code class="docutils literal notranslate"><span class="pre">HitMiss</span></code> and <code class="docutils literal notranslate"><span class="pre">HitPass</span></code>.</p>
<p>The <code class="docutils literal notranslate"><span class="pre">Hit</span></code> record also grew two more fields for the grace and
keep periods.  This should again be useful for troubleshooting.</p>
<p>See <a class="reference internal" href="../reference/vsl.html#vsl-7"><span class="std std-ref">VSL</span></a>.</p>
</li>
<li><p>The <code class="docutils literal notranslate"><span class="pre">SessOpen</span></code> log record displays the name of the listen address
instead of the endpoint in its 3rd field.</p>
<p>See <a class="reference internal" href="../reference/vsl.html#vsl-7"><span class="std std-ref">VSL</span></a>.</p>
</li>
<li><p>The output format of <code class="docutils literal notranslate"><span class="pre">VCL_trace</span></code> log records, which appear if
you have switched on the <code class="docutils literal notranslate"><span class="pre">VCL_trace</span></code> flag in the VSL mask, has
changed to include the VCL configuration name. See <a class="reference internal" href="../reference/vsl.html#vsl-7"><span class="std std-ref">VSL</span></a>
and <a class="reference internal" href="../reference/varnishd.html#ref-param-vsl-mask"><span class="std std-ref">vsl_mask</span></a>.</p></li>
</ul>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">varnishtest(1)</span></code> and <code class="docutils literal notranslate"><span class="pre">vtc(7)</span></code>:</p>
<ul class="simple">
<li><p>When varnishtest is invoked with <code class="docutils literal notranslate"><span class="pre">-L</span></code> or <code class="docutils literal notranslate"><span class="pre">-l</span></code>, Varnish
instances started by a test do not clean up their copies of VMOD
shared objects when they stop. See the note about <code class="docutils literal notranslate"><span class="pre">vmod_so_keep</span></code>
below.</p></li>
<li><p>Added the feature switch <code class="docutils literal notranslate"><span class="pre">ignore_unknown_macro</span></code> for test cases,
see <a class="reference internal" href="../reference/vtc.html#vtc-7"><span class="std std-ref">VTC</span></a>.</p></li>
</ul>
</li>
<li><p><code class="docutils literal notranslate"><span class="pre">varnishncsa(1)</span></code></p>
<ul class="simple">
<li><p>Field specifiers (such as the 1 in <code class="docutils literal notranslate"><span class="pre">Hit[1]</span></code>) are now limited to
to 255, see <a class="reference internal" href="../reference/varnishncsa.html#varnishncsa-1"><span class="std std-ref">varnishncsa</span></a>.</p></li>
</ul>
</li>
<li><p>The <code class="docutils literal notranslate"><span class="pre">-N</span></code> command-line option, which was previously available for
<code class="docutils literal notranslate"><span class="pre">varnishlog(1)</span></code>, <code class="docutils literal notranslate"><span class="pre">varnishstat(1)</span></code>, <code class="docutils literal notranslate"><span class="pre">varnishncsa(1)</span></code> and
<code class="docutils literal notranslate"><span class="pre">varnishhist(1)</span></code>, is not compatible with the changed internal
logging API, and has been retired.</p></li>
<li><p>Changes for developers:</p>
<ul class="simple">
<li><p>The VSM and VSC APIs for shared memory and statistics have
changed, and may necessitate changes in client applications, see
<a class="reference internal" href="changes-5.2.html#whatsnew-vsm-vsc-5-2"><span class="std std-ref">VSM/VSC API changes</span></a>.</p></li>
<li><p>Added the <code class="docutils literal notranslate"><span class="pre">$ABI</span></code> directive for VMOD vcc declarations, see
<a class="reference internal" href="changes-5.2.html#whatsnew-abi"><span class="std std-ref">$ABI [strict|vrt]</span></a>.</p></li>
<li><p>There have been some minor changes in the VRT API, which may be
used for VMODs and client apps, see <a class="reference internal" href="changes-5.2.html#whatsnew-vrt-5-2"><span class="std std-ref">VRT API changes</span></a>.</p></li>
<li><p>The VUT API (for Varnish UTilities), which facilitates the
development of client apps, is now publicly available, see
<a class="reference internal" href="changes-5.2.html#whatsnew-vut-5-2"><span class="std std-ref">Added VUT API</span></a>.</p></li>
<li><p>The debug bit <code class="docutils literal notranslate"><span class="pre">vmod_so_keep</span></code> instructs Varnish not to clean
up its copies of VMOD shared objects when it stops. This makes
it possible for VMOD authors to load their code into a debugger
after a varnishd crash. See <a class="reference internal" href="../reference/varnishd.html#ref-param-debug"><span class="std std-ref">debug</span></a>.</p></li>
</ul>
</li>
</ul>
<p><em>eof</em></p>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Upgrading to Varnish 5.2</a><ul>
<li><a class="reference internal" href="#varnish-statistics-and-logging">Varnish statistics and logging</a></li>
<li><a class="reference internal" href="#varnishd-parameters">varnishd parameters</a></li>
<li><a class="reference internal" href="#changes-to-vcl">Changes to VCL</a><ul>
<li><a class="reference internal" href="#consistent-symbol-names">Consistent symbol names</a></li>
<li><a class="reference internal" href="#vcl-variables">VCL variables</a><ul>
<li><a class="reference internal" href="#req-hash-and-bereq-hash"><code class="docutils literal notranslate"><span class="pre">req.hash</span></code> and <code class="docutils literal notranslate"><span class="pre">bereq.hash</span></code></a></li>
<li><a class="reference internal" href="#server-identity"><code class="docutils literal notranslate"><span class="pre">server.identity</span></code></a></li>
<li><a class="reference internal" href="#bereq-is-bgfetch"><code class="docutils literal notranslate"><span class="pre">bereq.is_bgfetch</span></code></a></li>
<li><a class="reference internal" href="#req-backend-hint"><code class="docutils literal notranslate"><span class="pre">req.backend_hint</span></code></a></li>
</ul>
</li>
<li><a class="reference internal" href="#vmod-std">vmod_std</a></li>
<li><a class="reference internal" href="#new-vmods-in-the-standard-distribution">New VMODs in the standard distribution</a></li>
<li><a class="reference internal" href="#bans">Bans</a></li>
</ul>
</li>
<li><a class="reference internal" href="#other-changes">Other changes</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="changes-5.2.html"
                        title="previous chapter">Changes in Varnish 5.2</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="changes-5.1.html"
                        title="next chapter">Changes in Varnish 5.1</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="../_sources/whats-new/upgrading-5.2.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="changes-5.1.html" title="Changes in Varnish 5.1"
             >next</a> |</li>
        <li class="right" >
          <a href="changes-5.2.html" title="Changes in Varnish 5.2"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../index.html">Varnish version 6.0.11 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="index.html" >What’s new / Upgrading</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Upgrading to Varnish 5.2</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2014, Varnish Software AS.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 4.3.2.
    </div>
  </body>
</html>